Bug 147317 - gnome-vfs-1.0.5-21.src.rpm Fails to Rebuild
gnome-vfs-1.0.5-21.src.rpm Fails to Rebuild
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 01:53 EST by Joseph D. Wagner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 16:43:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A List of Installed RPM's on My System (16.20 KB, text/plain)
2005-02-07 01:55 EST, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2005-02-07 01:53:44 EST
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux 
2.6.10-experimental; X11; i686; en_US) (KHTML, like Gecko) 
 
Description of problem: 
gnome-vfs-1.0.5-21.src.rpm fails to rebuild using rpmbuild with the 
set of packages I have installed (or lack thereof).  See attachment 
for a list of packages installed on my system. 
 
Version-Release number of selected component (if applicable): 
gnome-vfs-1.0.5-21.src.rpm 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
run 'rpmbuild --rebuild --target=i386 gnome-vfs-1.0.5-21.src.rpm' 
with the same set of packages I have installed (or lack thereof).  
 
Actual Results: 
Installing gnome-vfs-1.0.5-21.src.rpm 
Building target platforms: i386 
Building for target i386 
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.26041 
+ umask 022 
+ cd /usr/src/redhat/BUILD 
+ LANG=C 
+ export LANG 
+ unset DISPLAY 
+ cd /usr/src/redhat/BUILD 
+ rm -rf gnome-vfs-1.0.5 
+ /usr/bin/gzip -dc /usr/src/redhat/SOURCES/gnome-vfs-1.0.5.tar.gz 
+ tar -xf - 
+ STATUS=0 
+ '[' 0 -ne 0 ']' 
+ cd gnome-vfs-1.0.5 
++ /usr/bin/id -u 
+ '[' 0 = 0 ']' 
+ /bin/chown -Rhf root . 
++ /usr/bin/id -u 
+ '[' 0 = 0 ']' 
+ /bin/chgrp -Rhf root . 
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w . 
+ echo 'Patch #1 (gnome-vfs-1.0.5-charset-and-rpmsave.patch):' 
Patch #1 (gnome-vfs-1.0.5-charset-and-rpmsave.patch): 
+ patch -p1 -b --suffix .charset-and-rpmsave -s 
+ '[' lib == lib64 ']' 
+ echo 'Patch #3 (gnome-vfs-1.0.5-mimesniffcrash-backport.patch):' 
Patch #3 (gnome-vfs-1.0.5-mimesniffcrash-backport.patch): 
+ patch -p1 -b --suffix .mimecrash -s 
+ echo 'Patch #4 (gnome-vfs-1.0.5-compilation-fix.patch):' 
Patch #4 (gnome-vfs-1.0.5-compilation-fix.patch): 
+ patch -p1 -b --suffix .compilation-fix -s 
+ tar zxf /usr/src/redhat/SOURCES/macros.tar.gz 
+ tar zxf /usr/src/redhat/SOURCES/gnome-vfs-pofiles.tar.gz 
+ mkdir tmp-macros 
+ cp libgnomevfs/libcharset/codeset.m4 
libgnomevfs/libcharset/glibc21.m4 tmp-macros 
+ rm tmp-macros/glibc21.m4 
+ aclocal-1.4 -I macros -I tmp-macros 
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found 
in library 
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found 
in library 
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found 
in library 
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found 
in library 
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found 
in library 
aclocal: configure.in: 187: macro `AM_PATH_PROG_WITH_TEST' not found 
in library 
aclocal: configure.in: 187: macro `AM_LC_MESSAGES' not found in 
library 
error: Bad exit status from /var/tmp/rpm-tmp.26041 (%prep) 
 
 
RPM build errors: 
    Bad exit status from /var/tmp/rpm-tmp.26041 (%prep) 
 
 
Additional info:
Comment 1 Joseph D. Wagner 2005-02-07 01:55:23 EST
Created attachment 110710 [details]
A List of Installed RPM's on My System
Comment 2 John Thacker 2006-04-22 16:43:21 EDT
Something to do with the rpm trying to use an older version of automake than
what the code needs.  gnome-vfs (as opposed to gnome-vfs2) hasn't been shipped
since FC3.  FC3 is now the responsibility of Fedora Legacy, and since this isn't
a security bug, closing.

Note You need to log in before you can comment on or make changes to this bug.